clear all;
addpath('../../');
NBlocksSide=5;
BlockSideLen=6;
T=create_obs_transform_matrix(NBlocksSide,BlockSideLen);
tmp=load('bouncing_balls_training_data.mat');
Data=tmp.Data;
for i=1:length(Data)
    Data{i}=(T*Data{i}')';
end
save('tmp_bouncing_balls_training_data.mat','Data','-v7.3');
MatFile2DatFile('tmp_bouncing_balls_training_data.mat','bouncing_balls_training_data.dat');
delete tmp_bouncing_balls_training_data.mat;

tmp=load('bouncing_balls_testing_data.mat');
Data=tmp.Data;
for i=1:length(Data)
    Data{i}=(T*Data{i}')';
end
save('tmp_bouncing_balls_testing_data.mat','Data','-v7.3');
MatFile2DatFile('tmp_bouncing_balls_testing_data.mat','bouncing_balls_testing_data.dat');
delete tmp_bouncing_balls_testing_data.mat;